[android-components](../../index.md) / [mozilla.components.browser.engine.servo](../index.md) / [ServoEngineSession](index.md) / [findAll](./find-all.md)

# findAll

`fun findAll(text: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/engine-servo/src/main/java/mozilla/components/browser/engine/servo/ServoEngineSession.kt#L131)

Overrides [EngineSession.findAll](../../mozilla.components.concept.engine/-engine-session/find-all.md)

Finds and highlights all occurrences of the provided String and highlights them asynchronously.

### Parameters

`text` - the String to search for